%define module_name Net-Hacky-Detect-IP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(IO/Socket/IP.pm) perl(Test/More.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.024
Release: alt1
Summary: Hackily try different methods of attaining local system IPs
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DA/DAEMON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Hackily concatenate output from multiple system commands then attempt to find valid ips from it, once found they are 
tested for connectability then returned. This is not pretty nor very clever but extracting system ips is a nightmare
however you go about it and this method appears to be the more reliable.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.024-alt1
- updated by package builder

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1
- initial import by package builder

